Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000104Core InformRelationspublic2010-06-22 14:232010-07-01 23:07
Reporterfundin 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionVista
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000104: Can't test one-to-one relations of values directly
DescriptionThe test in the example source fails after triggering run-time problem P18.
Minimal Source Text To Reproduce
Home is a room.

Partnership relates one number to one number. The verb to belong with (he belongs with, they belong with) 
implies the partnership relation.

3 belongs with 7.

When play begins:
	if 3 belongs with 7, say "Test succeeded.";
	otherwise say "Test failed.";
Additional InformationThe relation is initialised correctly, but the test is compiled as if it involved values that can have properties. (Equivalence relations are not affected, by the way, but one-to-various and various-to-one are.)

This is tangential to a couple of previous reports, so it might have been fixed already.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000132)
jmcgrew (administrator)
2010-06-22 18:06

The generated code checks the relation with "if (((3 == (GProperty(NUMBER_TY, 7, p56_partnership)))))" rather than calling the dynamic relation handler.
(0000194)
graham (administrator)
2010-06-30 13:13

Fixed. It was setting up the relation correctly, then incorrectly optimising by using the 1-1 status of the relation to speed up access in a way which doesn't work for dynamic relations.

- Issue History
Date Modified Username Field Change
2010-06-22 14:23 fundin New Issue
2010-06-22 15:10 jmcgrew Assigned To => jmcgrew
2010-06-22 15:10 jmcgrew Status new => acknowledged
2010-06-22 18:06 jmcgrew Note Added: 0000132
2010-06-22 18:06 jmcgrew Assigned To jmcgrew =>
2010-06-22 18:06 jmcgrew Status acknowledged => confirmed
2010-06-30 13:13 graham Note Added: 0000194
2010-06-30 13:13 graham Status confirmed => resolved
2010-06-30 13:13 graham Resolution open => fixed
2010-06-30 13:13 graham Assigned To => graham
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker